CVE-2019-12247

high

Description

** DISPUTED ** QEMU 3.0.0 has an Integer Overflow because the qga/commands*.c files do not check the length of the argument list or the number of environment variables. NOTE: This has been disputed as not exploitable.

References

http://www.securityfocus.com/bid/108434

https://lists.gnu.org/archive/html/qemu-devel/2019-01/msg06360.html

https://lists.gnu.org/archive/html/qemu-devel/2019-05/msg04596.html

https://lists.gnu.org/archive/html/qemu-devel/2019-05/msg05457.html

Details

Source: MITRE

Published: 2019-05-22

Updated: 2019-05-30

Type: CWE-190

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 3.9

Severity: HIGH